package com.link.core.basic.limiter;

import com.link.core.parserplugin.ParserEnum;
import org.springframework.stereotype.Component;

@Component
public class LinkRateLimiterConfigure {
   private int limiterOrder = 2147483646;
   private ParserEnum parser;

   public LinkRateLimiterConfigure() {
      this.parser = ParserEnum.SPRING_EL;
   }

   public int getLimiterOrder() {
      return this.limiterOrder;
   }

   public void setLimiterOrder(int limiterOrder) {
      this.limiterOrder = limiterOrder;
   }

   public ParserEnum getParser() {
      return this.parser;
   }

   public void setParser(ParserEnum parser) {
      this.parser = parser;
   }
}
